#[cfg(test)]
mod tests {
    use std::thread;
    use std::time::Duration;

    use crossterm::event::{Event, KeyCode, KeyEvent, KeyModifiers, read};

    #[test]
    fn detect_keyboard() {
        println!("no thing happened.");
        println!("start loop ... ");
        loop {
            //matching the key
            match read().unwrap() {
                //i think this speaks for itself
                Event::Key(KeyEvent {
                               code: KeyCode::Char('a'),
                               modifiers: KeyModifiers::NONE, ..
                               //clearing the screen and printing our message
                           }) => {
                    println!("detect press A!")
                }
                _ => {
                    println!("no thing happened.")
                }
            }
            thread::sleep(Duration::from_secs(1));
        }
        // thread::sleep(Duration::from_secs(20));
    }
}